#ifndef RENDERING_H
#define RENDERING_H

#include "gliv.h"
#include "gliv-image.h"

/* Bits for the refresh() function. */
#define REFRESH_IMAGE      (1 << 0)
#define REFRESH_NOW        (1 << 1)
#define REFRESH_STATUS     (1 << 2)
#define APPEND_HISTORY     (1 << 3)
#define REFRESH_BURST      (1 << 4)

void draw_current_image(void);
gfloat *prepare_rendering(GlivImage * im);
void render(void);
void zoom_in(gfloat ratio);
void refresh(gint what);

#endif
